Ticket #1706 (closed enhancement: fixed)

Opened 9 years ago

Last modified 9 years ago

Amazon小窓の追加

Reported by: ebihara Assigned to: ebihara
Priority: major Milestone: OpenPNE2.11.2
Component: pne-cmd Version: 2.11.x
Keywords: 親チケット Cc:

Description (Last modified by ogawa)

■概要

Amazon.co.jp の小窓を追加する。

■仕様

  • URL2CMD と CMDタグで、Amazon.co.jp の情報を表示できるようにする
  • URL2CMDでは、Amazon.co.jp の商品ページのURLを貼ることで、小窓が表示できるようにする
  • CMDタグでは、以下のような記述をすることで、小窓が表示できるようにする
    <cmd src="amazon.co.jp" args="[ASINコード(ハイフン無し)]">
    

■関連情報

  • #1705 アマゾン小窓の取り込み
  • #1868 Amazon小窓のアソシエイトID対応

Change History

12/26/07 15:40:39 changed by ebihara

  • keywords set to 確認中.
  • owner changed from nobody to ebihara.
  • status changed from new to assigned.
  • description changed.

r4598で小窓の取り込みをし、r4844:4846 でコードの修正をしました。

ご確認ください。

12/26/07 18:41:43 changed by kiwa

  • keywords deleted.
  • 小窓全体がiframe内に収まっていない
    • 縦スクロールしないと全体が表示できない
  • 関連商品のURLをクリックするとiframe内で遷移してしまう
    • 商品タイトル、powerd byの部分は新しいウインドウで表示される

確認お願いします。

12/26/07 18:50:40 changed by kiwa

追加

  • http://www.amazon.co.jp/o/asin(小文字)/[ASINコード] のURLだと小窓にならない
    • http://www.amazon.co.jp/o/ASIN(大文字)/[ASINコード] のURLだと小窓になる

12/26/07 20:00:05 changed by kiwa

関連チケット作成しました

12/26/07 20:13:04 changed by ebihara

  • keywords set to 確認中.

r4855で、URL内文字列の大文字小文字を区別しないように修正しました。

12/26/07 20:22:25 changed by ogawa

  • keywords deleted.
(?:\/.*)*$

は不要ではないでしょうか。

12/27/07 14:24:57 changed by ebihara

  • keywords set to 確認中.

r4861で、正規表現の不要部分を削除しました。ご確認ください。

12/28/07 11:41:30 changed by ogawa

  • keywords changed from 確認中 to テスト待ち.

12/28/07 12:47:34 changed by kiwa

  • keywords deleted.
  • status changed from assigned to closed.
  • resolution set to fixed.

確認しました。OKです。

06/08/08 17:08:11 changed by ogawa

  • description changed.
  • summary changed from アマゾン小窓の追加 to Amazon小窓の追加.

06/17/08 22:27:32 changed by kiwa

  • keywords set to 親チケット.